<IfModule mod_rewrite.c>
  RewriteEngine On
  RewriteBase /

  # Если файл или директория существуют - используем их напрямую
  RewriteCond %{REQUEST_FILENAME} !-f
  RewriteCond %{REQUEST_FILENAME} !-d

  # Иначе перенаправляем на index.html
  RewriteRule . /index.html [L]
</IfModule>